Files
linuxkit/test/cases/020_kernel/010_kmod_4.9.x/test.sh
Ian Campbell 58d61d0846 tests: traverse directories before removing them during cleanup
Without `-depth` find will first `rm -rf foo` and then try to recurse into
`foo` resulting in `No such file or directory`.

With this the various `|| true` suffixes should no longer be required.

Lastly, in test/cases/040_packages/013_mkimage/test.sh cleanup any
`disk.qcow2*` detritus as well as the image itself.

Signed-off-by: Ian Campbell <ian.campbell@docker.com>
2017-06-13 17:15:33 +01:00

31 lines
677 B
Bash

#!/bin/sh
# SUMMARY: Test build and insertion of kernel modules
# LABELS:
# REPEAT:
set -e
# Source libraries. Uncomment if needed/defined
#. "${RT_LIB}"
. "${RT_PROJECT_ROOT}/_lib/lib.sh"
IMAGE_NAME="kmod-test"
clean_up() {
docker rmi ${IMAGE_NAME} || true
find . -depth -iname "kmod*" -not -iname "*.yml" -exec rm -rf {} \;
}
trap clean_up EXIT
# Make sure we have the latest kernel image
docker pull linuxkit/kernel:4.9.x
# Build a package
docker build -t ${IMAGE_NAME} .
# Build and run a LinuxKit image with kernel module (and test script)
moby build -output kernel+initrd kmod.yml
RESULT="$(linuxkit run kmod)"
echo "${RESULT}" | grep -q "Hello LinuxKit"
exit 0